package com.chenyang.druid.sql.dialect.mysql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlShowTableStatusStatement extends MySqlStatementImpl implements MySqlShowStatement {
   private SQLName database;
   private SQLName tableGroup;
   private SQLExpr like;
   private SQLExpr where;

   public SQLName getDatabase() {
      return this.database;
   }

   public void setDatabase(SQLName database) {
      this.database = database;
   }

   public SQLExpr getLike() {
      return this.like;
   }

   public void setLike(SQLExpr like) {
      this.like = like;
   }

   public SQLExpr getWhere() {
      return this.where;
   }

   public void setWhere(SQLExpr where) {
      this.where = where;
   }

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.database);
         this.acceptChild(visitor, this.tableGroup);
         this.acceptChild(visitor, this.like);
         this.acceptChild(visitor, this.where);
      }

      visitor.endVisit(this);
   }

   public SQLName getTableGroup() {
      return this.tableGroup;
   }

   public void setTableGroup(SQLName tableGroup) {
      this.tableGroup = tableGroup;
   }
}
